<?php
require_once('system/func.php');
auth(); // Закроем от гостей
access(2);


if (isset($_GET['smile'])) {
    require_once('system/header.php');
    $title = 'Добавить смайлика';
    require_once('system/header.php');
    if (isset($_REQUEST['post'])) {
        $id = num($_POST['id']);
        $name = text($_POST['name']);
        $img = text($_POST['img']);

        mysql_query('INSERT INTO `smile` SET `name` = "' . mysql_real_escape_string($name) . '", `img` = "' . $img . '" ');
        $_SESSION['msg'] = "Смайл добавлен";
        header('Location: ?');
        exit();
    }
    echo "<div class='block_c'>";
    echo "<form method='post' action=''>";
    echo " Путь к смайлу :<br><input type='text' name='name' value=''><br>";

    echo "Картинка(/images/smile/1.png):<br><input type='text' name='img' value=''><br>";


    echo "<input type='submit' class='btn-yellow' value='Добавить' name='post'>";
    echo "</form>";
    echo "</div>";
    echo "<a href='/65468465465464646556' > Назад в админку</a>";
    require_once('system/footer.php');
    exit();
}

if(isset($_GET['delete_bonus']) && $user['access'] == '2'){
mysql_query("UPDATE `users` SET `r` = '0'");
$_SESSION['msg'] = '<div class="text center"><font color="lime">Бонус обновлён!</font></div>';
header('Location: ?');
exit();
}


if(isset($_GET['bonus']) && $user['access'] == '2'){
mysql_query("UPDATE `users` SET `r` = '1'");
$_SESSION['msg'] = '<div class="text center"><font color="lime">Бонус обновлён!</font></div>';
header('Location: ?');
exit();
}






if (isset($_GET['quest'])) {
    require_once('system/header.php');
    $title = 'Добавить задание';
    require_once('system/header.php');
    if (isset($_REQUEST['post'])) {
        $id = num($_POST['id']);
        $name = text($_POST['name']);
        $koll = num($_POST['koll']);
        $text = text($_POST['text']);
        $almaz = num($_POST['almaz']);
        $exp = num($_POST['exp']);
        mysql_query('INSERT INTO `quest` SET `name` = "' . mysql_real_escape_string($name) . '", `koll` = "' . $koll . '", `text` = "' . $text . '", `almaz` = "' . $almaz . '", `exp` = "' . $exp . '" ');
        header('Location: ?');
        exit();
    }
    echo "<div class='block_c'>";
    echo "<form method='post' action=''>";
    echo "Название задания :<br><input type='text' name='name' value=''><br>";

    echo "Колличество:<br><input type='text' name='koll' value=''><br>";
    echo "Дополнительный текст :<br><input type='text' name='text' value=''><br>";
    echo "Алмазы:<br><input type='text' name='almaz' value=''><br>";
    echo "Опыт:<br><input type='text' name='exp' value=''><br>";

    echo "<input type='submit' class='btn-yellow' value='Добавить' name='post'>";
    echo "</form>";
    echo "</div>";
    echo "<a href='/65468465465464646556' > Назад в админку</a>";
    require_once('system/footer.php');
    exit();
}

if (isset($_GET['adventure'])) {
    require_once('system/header.php');
    $title = 'Добавить приключение';
    require_once('system/header.php');
    if (isset($_REQUEST['post'])) {

        $name = text($_POST['name']);
        $str = num($_POST['str']);
        $def = num($_POST['def']);
        $max_health = num($_POST['max_health']);
        $min_gold = num($_POST['min_gold']);
        $max_gold = num($_POST['max_gold']);
        $min_exp = num($_POST['min_exp']);
        $max_exp = num($_POST['max_exp']);
        mysql_query('INSERT  INTO `boss` SET  `name` = "' . $name . '", `str` = "' . $str . '", `def` = "' . $def . '", `max_health` = "' . $max_health . '", `min_gold` = "' . $min_gold . '" ,`max_gold` = "' . $max_gold . '", `min_exp` = "' . $min_exp . '", `max_exp` = "' . $max_exp . '" ');
        $_SESSION['msg'] = "Приключение добавлено";
        header('Location: ?');
        exit();
    }
    echo "<div class='block_c'>";
    echo "<form method='post' action=''>";
    echo "Имя :<br><input type='text' name='name' value=''><br>";
    echo "Сила:<br><input type='text' name='str' value=''><br>";
    echo "Защита :<br><input type='text' name='def' value=''><br>";
    echo "Здоровье:<br><input type='text' name='max_health' value=''><br>";
    echo "Мин.золота:<br><input type='text' name='min_gold' value=''><br>";
    echo "Макс.золота:<br><input type='text' name='max_gold' value=''><br>";
    echo "Мин.опыта:<br><input type='text' name='min_exp' value=''><br>";
    echo "Макс.опыта:<br><input type='text' name='max_exp' value=''><br>";

    echo "<input type='submit' class='auth_login' value='Добавить' name='post'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='/settGame' > Назад в админку</a></div>";
    require_once('system/footer.php');
    exit();

}
## Платежи  ##

if (isset($_GET['worldkassa_ok'])) {
    $title = 'WorldKassa';
    require_once('system/header.php');
    echo "<div class='block'> <a href='?worldkassa'>Все операции</a> | Успешные</div>";
    $set['p_str'] = 10;
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `worldkassa` WHERE `time_oplata` > '0'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("SELECT * FROM `worldkassa` WHERE `time_oplata` > '0' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
    echo "<div class='block'>";
    if ($k_post == 0) {
        echo "Опираций не найдено...";
    }
    while ($post = mysql_fetch_assoc($q)) {
        $ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user] LIMIT 1"));
        if ($post['time_oplata'] > 0) {
            $status = "<font color='green'>Оплаченно</font>";
        } else {
            $status = "<font color='red'>Не оплаченно</font>";
        }
        echo "Оплата счета #" . $post['id_bill'] . ", " . vremja($post[time]) . "<br>Пакупатель: " . icons_user($ank[id]) . " <a href='/profile/$ank[id]'>$ank[login]</a><br>Сумма: $post[summa]Rub.<br>Статус: $status<hr>";
    }
    str('?worldkassa_ok&', $k_page, $page); // Вывод страниц
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
}
if (isset($_GET['worldkassa'])) {
    $title = 'WorldKassa';
    require_once('system/header.php');
    echo "<div class='block'> Все операции | <a href='?worldkassa_ok'>Успешные</a></div>";
    $set['p_str'] = 10;
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `worldkassa`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("SELECT * FROM `worldkassa` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
    echo "<div class='block'>";
    if ($k_post == 0) {
        echo "Опираций не найдено...";
    }
    while ($post = mysql_fetch_assoc($q)) {
        $ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user] LIMIT 1"));
        if ($post['time_oplata'] > 0) {
            $status = "<font color='green'>Оплаченно</font>";
        } else {
            $status = "<font color='red'>Не оплаченно</font>";
        }
        echo "Оплата счета #" . $post['id_bill'] . ", " . vremja($post[time]) . "<br>Пакупатель: " . icons_user($ank[id]) . " <a href='/profile/$ank[id]'>$ank[login]</a><br>Сумма: $post[summa]Rub.<br>Статус: $status<hr>";
    }
    str('?worldkassa&', $k_page, $page); // Вывод страниц
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit;
}
## Перевод средств  ##
if (isset($_GET['sredstva'])) {
    $title = 'Перевод средств';
    require_once('system/header.php');
    if (isset($_REQUEST['post'])) {
        $login = text($_POST['login']);
        $tip = text($_POST['tip']);
        $koll = text($_POST['koll']);
        $query = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '" . $login . "'");  // Доступность почты
        if (mysql_result($query, 0) == 0) {
            $err = 'Такого игрока не существует';
        }
        if (!isset($err)) {
            $ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `login` = '" . $login . "'"));
            mysql_query('UPDATE `users` SET `' . $tip . '` = `' . $tip . '` + ' . $koll . ' WHERE `id` = "' . $ank['id'] . '"');


            $text = "Вам поступило денежное зачисление $koll  $tip !

";
            mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $ank['id'] . "', `text` = '$text' , `time` = '" . time() . "'");
            if (!$kont) {
                mysql_query("INSERT INTO `kont` SET `id_user` = '" . $ank['id'] . "', `id_kont` = '1', `time` = '" . time() . "'");
            } else {
                mysql_query("update `kont` set `time` = '" . time() . "' WHERE `id_user` = '" . $ank['id'] . "' AND `id_kont` = '17'");
            }


            $_SESSION['msg'] = "Средства переведены";
            header('Location: ?sredstva');
            exit();
        } else {
            $_SESSION['msg'] = $err;
            header('Location: ?sredstva');
            exit();
        }
    }
    echo "<div class='block'>";
    echo "<form method='post' action=''>";
    echo "Ник игрока:<br><input type='text' name='login' value=''><br>";
    echo "Колличество:<br><input type='text' name='koll' value='0'><br>";
    echo 'Тип:<br />
<select name="tip"><option value="gold">Золото</option><option value="almaz"> Алмазы </option> ><option value="honor"> Очки славы</option></select><br/>';
    echo "<input type='submit' class='auth_login' value='Зачислить' name='post'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (isset($_GET['get_alamz'])) {
    $title = 'Начислить алмазы';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        $id = intval($_POST['id']);
        $count = intval($_POST['count']);
        $query = mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '" . $id . "'");

        if (mysql_result($query, 0) == 0) {
            $_SESSION['msg'] = 'Такого игрока не существует';
            header('Location: ?get_alamz');
            exit();
        } else {
            mysql_query('UPDATE `users` SET `almaz` = `almaz` + ' . $count . ' WHERE `id` = "' . $id . '"');
            $text = "Вам поступило денежное зачисление $count алмазов!";
            mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $id . "', `text` = '$text' , `time` = '" . time() . "'");
            $_SESSION['msg'] = "Алмазы успешно начислены!";
            header('Location: ?get_alamz');
            exit();
        }
    }
    echo "<div class='block'>";
    echo "<form method='post'>";
    echo "ID игрока:<br><input type='text' name='id' value=''><br>";
    echo "Колличество:<br><input type='number' name='count' value='0'><br>";
    echo "<input type='submit' class='auth_login' value='Зачислить' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (isset($_GET['get_gold'])) {
    $title = 'Начислить алмазы';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        $id = intval($_POST['id']);
        $count = intval($_POST['count']);
        $query = mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '" . $id . "'");

        if (mysql_result($query, 0) == 0) {
            $_SESSION['msg'] = 'Такого игрока не существует';
            header('Location: ?get_gold');
            exit();
        } else {
            mysql_query('UPDATE `users` SET `gold` = `gold` + ' . $count . ' WHERE `id` = "' . $id . '"');
            $text = "Вам поступило денежное зачисление $count золота!";
            mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $id . "', `text` = '$text' , `time` = '" . time() . "'");
            $_SESSION['msg'] = "Золото успешно начислены!";
            header('Location: ?get_gold');
            exit();
        }
    }
    echo "<div class='block'>";
    echo "<form method='post'>";
    echo "ID игрока:<br><input type='text' name='id' value=''><br>";
    echo "Колличество:<br><input type='number' name='count' value='0'><br>";
    echo "<input type='submit' class='auth_login' value='Зачислить' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (isset($_GET['get_mail_all'])) {
    $title = 'Рассылка';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        if (strlen($_POST['text']) == false) {
            $_SESSION['msg'] = 'Введите текст рассылки!';
            header('Location: ?get_mail_all');
            exit();
        } else {
            $text_all = text($_POST['text']);
            $list_user = mysql_query("SELECT `id` FROM `users`");
            while($user = mysql_fetch_assoc($list_user)) {
                mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $user['id'] . "', `text` = '$text_all' , `time` = '" . time() . "'");
            }
            $_SESSION['msg'] = "Рассылка успешно завершена!";
            header('Location: ?get_mail_all');
            exit();
        }
    }
    echo "<div class='block'>";
    echo "<form method='post'>";
    echo "Текст рассылки:<br><br>";
    echo "<textarea name='text' class='wide' rows='5' cols='17'></textarea>";
    echo "<input type='submit' class='auth_login' value='Рассылка' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (isset($_GET['get_mail_res'])) {
    $title = 'Рассылка + Выдача ресурсов';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        if (strlen($_POST['text']) == false) {
            $_SESSION['msg'] = 'Введите текст рассылки!';
            header('Location: ?get_mail_res');
            exit();
        } else if (strlen($_POST['gold']) == false) {
            $_SESSION['msg'] = 'Введите количество золота!';
            header('Location: ?get_mail_res');
            exit();
        } else if (strlen($_POST['diamond']) == false) {
            $_SESSION['msg'] = 'Введите количество алмазов!';
            header('Location: ?get_mail_res');
            exit();
        } else {
            $text_all = text($_POST['text']);
            $gold = intval($_POST['gold']);
            $diamond = intval($_POST['diamond']);
            $list_user = mysql_query("SELECT `id` FROM `users`");
            while($user = mysql_fetch_assoc($list_user)) {
                mysql_query("INSERT INTO `mail` SET `in` = '1', `out` = '" . $user['id'] . "', `text` = '$text_all' , `time` = '" . time() . "'");
                mysql_query("UPDATE `users` SET `almaz` = `almaz` + '" . $diamond . "', `gold` = `gold` + '" . $gold . "' WHERE  `id`= '" . $user['id'] . "'");
            }
            $_SESSION['msg'] = "Рассылка и выдача ресурсов успешно завершена!";
            header('Location: ?get_mail_res');
            exit();
        }
    }
    echo "<div class='block'>";
    echo "<form method='post'>";
    echo "Текст рассылки:<br><br>";
    echo "<textarea name='text' class='wide' rows='5' cols='17'></textarea>";
    echo '<br>';

    echo '<input type="number" class="wide" name="gold"> Золото:<br>';
    echo '<input type="number" class="wide" name="diamond"> Алмазы:<br>';

    echo "<input type='submit' class='auth_login' value='Рассылка' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (isset($_GET['sale_item'])) {
    $title = 'Скидка на снаряжение';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        if (strlen($_POST['sale']) == false) {
            $_SESSION['msg'] = 'Введите % скидки!';
            header('Location: ?sale_item');
            exit();
        } else if (strlen($_POST['day']) == false) {
            $_SESSION['msg'] = 'Введите количество дней!';
            header('Location: ?sale_item');
            exit();
        } else {
            $sale = intval($_POST['sale']);
            $day = time() + (intval($_POST['day']) * 60 * 60 * 24);

            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `avenax_admin` WHERE `id` = '1'"), 0) == false) {
                mysql_query("INSERT INTO `avenax_admin` SET `id` = '1'");
            }
            mysql_query("UPDATE `avenax_admin` SET `sale_item` = '" . $sale . "', `sale_item_time` = '" . $day . "' WHERE `id` = '1'");

            $_SESSION['msg'] = "Скидка <span style='color:red;'>" . $sale . "</span>% установлена на " . tl($day - time());
            header('Location: ?sale_item');
            exit();
        }
    }
    $getSale = mysql_fetch_assoc(mysql_query("SELECT * FROM `avenax_admin` WHERE `id` = '1'"));
    if (!empty($getSale) && $getSale['sale_item_time'] > time()) {
        echo '<div class="block">Сейчас скидка: ' .  intval($getSale['sale_item']) . '%, осталось ' . tl($getSale['sale_item_time'] - time()) . '</div>';
    }
    echo "<div class='block'>";
    echo '<div><span style="color: orange; font-size: small;">Процент скидки на снаряжения. Минимум 5, максимум 90</span></div>';
    echo '<div><span style="color: orange; font-size: small;">Количество дней, минимум 1, максимум 10</span></div>';
    echo "<form method='post'>";
    echo '<input type="number" class="wide" name="sale" min="5" max="90"> %<br>';
    echo '<input type="number" class="wide" name="day" min="1" max="10"> Количество дней<br>';
    echo "<input type='submit' class='auth_login' value='Сохранить' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
}  else if (isset($_GET['sale_diamond'])) {
    $title = 'Скидка на вставку камней';
    require_once('system/header.php');
    if (isset($_POST['go'])) {
        if (strlen($_POST['sale']) == false) {
            $_SESSION['msg'] = 'Введите % скидки!';
            header('Location: ?sale_diamond');
            exit();
        } else if (strlen($_POST['day']) == false) {
            $_SESSION['msg'] = 'Введите количество дней!';
            header('Location: ?sale_diamond');
            exit();
        } else {
            $sale = intval($_POST['sale']);
            $day = time() + (intval($_POST['day']) * 60 * 60 * 24);

            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `avenax_admin` WHERE `id` = '1'"), 0) == false) {
                mysql_query("INSERT INTO `avenax_admin` SET `id` = '1'");
            }
            mysql_query("UPDATE `avenax_admin` SET `sale_diamond` = '" . $sale . "', `sale_diamond_time` = '" . $day . "' WHERE `id` = '1'");

            $_SESSION['msg'] = "Скидка <span style='color:red;'>" . $sale . "</span>% установлена на " . tl($day - time());
            header('Location: ?sale_diamond');
            exit();
        }
    }
    $getSale = mysql_fetch_assoc(mysql_query("SELECT * FROM `avenax_admin` WHERE `id` = '1'"));
    if (!empty($getSale) && $getSale['sale_diamond_time'] > time()) {
        echo '<div class="block">Сейчас скидка: ' .  intval($getSale['sale_diamond']) . '%, осталось ' . tl($getSale['sale_diamond_time'] - time()) . '</div>';
    }
    echo "<div class='block'>";
    echo '<div><span style="color: orange; font-size: small;">Процент скидки на вставку камней. Минимум 5, максимум 90</span></div>';
    echo '<div><span style="color: orange; font-size: small;">Количество дней, минимум 1, максимум 10</span></div>';
    echo "<form method='post'>";
    echo '<input type="number" class="wide" name="sale" min="5" max="90"> %<br>';
    echo '<input type="number" class="wide" name="day" min="1" max="10"> Количество дней<br>';
    echo "<input type='submit' class='auth_login' value='Сохранить' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";
    require_once('system/footer.php');
    exit();
} else if (filter_has_var(INPUT_GET, 'sale_xsolla')) {
    $title = 'Скидка на xsolla';
    require_once('system/header.php');

    if (isset($_POST['go'])) {
        if (strlen($_POST['sale']) == false) {
            $_SESSION['msg'] = 'Введите % скидки!';
            header('Location: ?sale_xsolla');
            exit();
        } else if (strlen($_POST['day']) == false) {
            $_SESSION['msg'] = 'Введите количество дней!';
            header('Location: ?sale_xsolla');
            exit();
        } else {
            $sale = intval($_POST['sale']);
            $day = time() + (intval($_POST['day']) * 60 * 60 * 24);

            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `avenax_admin` WHERE `id` = '1'"), 0) == false) {
                mysql_query("INSERT INTO `avenax_admin` SET `id` = '1'");
            }
            mysql_query("UPDATE `avenax_admin` SET `sale_xsolla` = '" . $sale . "', `sale_xsolla_time` = '" . $day . "' WHERE `id` = '1'");

            $_SESSION['msg'] = "Скидка <span style='color:red;'>" . $sale . "</span>% установлена на " . tl($day - time());
            header('Location: ?sale_xsolla');
            exit();
        }
    }

    $getSale = mysql_fetch_assoc(mysql_query("SELECT * FROM `avenax_admin` WHERE `id` = '1'"));
    if (!empty($getSale) && $getSale['sale_xsolla_time'] > time()) {
        echo '<div class="block">Сейчас скидка: ' .  intval($getSale['sale_xsolla']) . '%, осталось ' . tl($getSale['sale_xsolla_time'] - time()) . '</div>';
    }
    echo "<div class='block'>";
    echo '<div><span style="color: orange; font-size: small;">Укажите дополнительный процент алмазов, при покупке через xsolla</span></div>';
    echo "<form method='post'>";
    echo '<input type="number" class="wide" name="sale" min="10" value="' . (isset($getSale) ? intval($getSale['sale_xsolla']) : null) . '"> %<br>';
    echo '<input type="number" class="wide" name="day" min="1"> Количество дней<br>';
    echo "<input type='submit' class='auth_login' value='Сохранить' name='go'>";
    echo "</form>";
    echo "</div>";
    echo "<div class='block_l'><a href='?'> Вернуться назад</a></div>";

    require_once('system/footer.php');
    exit();
}


## Страница админки ##
$title = 'Настройки игры | Админка';
require_once('system/header.php');
$registr = mysql_num_rows(mysql_query("SELECT * FROM `users`"));
echo div('header');
echo div('menu_link');
//echo "<a href='/adm_auction.php' > Создать акцию</a>";
echo "<a href='/forum/1?new_topic' >Создать Новость</a>";
echo "<a href='?get_mail_all' >Рассылка</a>";
echo "<a href='?get_alamz' >Начислить алмазы</a>";
echo "<a href='?get_gold' >Начислить золото</a>";
echo "<a href='?get_mail_res' >Рассылка + Выдача ресурсов</a>";
echo "<a href='?sale_item' >Скидка на снаряжение</a>";
echo "<a href='?sale_diamond' >Скидка на вставку камней</a>";
echo "<a href='mahaker_stat.php' >Статистика</a>";
echo "<a href='?delete_bonus' > Включить подарок</a>";
echo "<a href='?bonus' > Отключить подарок</a>";
//echo "<a href='?adventure' > Добавить приключение </a>";
//echo "<a href='?smile' > Добавить смайл </a>";

//echo "<a href='?quest' > Добавить задание </a>";
echo "<a href='?sredstva' > Перевод средств</a>";
echo "<a href='adm_xsolla_logs.php' > Счета Xsolla</a>";
echo "<a href='?sale_xsolla' > Скидки Xsolla</a>";
echo "<a href='/65468465465464646556/ref/' > Реффералы</a>";
echo "<a href='/support.php/?mode=viev_all' > Техническая поддержка</a>";
echo "</div>";
echo "</div>";

require_once('system/footer.php');
?>